NEW LIGA TS3 IP:
193.25.115.47:9989


11. Retail or Origin BF1942 Version?

Image

The latest RETAIL Battlefield 1942 game (v1.61) is required to play. We don't play the expansions (However, the expansions can be also downloaded, if you want to play it on SiMPLE or any other servers).
The origin BF1942 version doesn't work on our War servers. So you will need to download and install the retail version of BF1942 in case you have the Origin one.

Punkbuster doesn't work with the Origin version!!
Last Updated ( Sun, 27. November 2016 )
 

Welcome

 





Lost Password?
Register

League Wars Today

no WARs today

Time (CET)

Mon, 24.09.2018
03:33
Berlin +1h